| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Friends | List of all members
Rndm::StudentT Class Reference

Parameters for the StudentT distributed random number generation. More...

`#include <GaudiKernel/RndmGenerators.h>`

Inheritance diagram for Rndm::StudentT:
[legend]
Collaboration diagram for Rndm::StudentT:
[legend]

## Public Member Functions
| StudentT (double a)
| Standard Constructor. More...
| ~StudentT () override=default
| Standard Destructor. More...
double | aValue () const
| Access A parameter. More...
StudentT * | clone () const override
| Clone parameters. More...
Public Member Functions inherited from IRndmGen::Param
| Param (const InterfaceID &type=IID_IRndmFlat)
| Standard constructor. More...
virtual | ~Param ()=default
| Standard Destructor. More...
virtual const InterfaceID & | type () const
| Parameter's type. More...

## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory. More...

## Protected Attributes
double | m_aValue
| StudentT distribution parameter. More...
Protected Attributes inherited from IRndmGen::Param
const InterfaceID | m_type
| Type of the generator. More...

## Friends
class | Generator< StudentT >

## Detailed Description

Parameters for the StudentT distributed random number generation.

Definition at line 162 of file RndmGenerators.h.

## Constructor & Destructor Documentation

Rndm::StudentT::StudentT | ( | double | a | ) |
| inline

Standard Constructor.

Definition at line 169 of file RndmGenerators.h.

169 : IRndmGen::Param(IID_IRndmStudentT), m_aValue(a) { }
IRndmGen::Param
Definition: IRndmGen.h:40
Rndm::StudentT::m_aValue
double m_aValue
StudentT distribution parameter.
Definition: RndmGenerators.h:166

Rndm::StudentT::~StudentT | ( |  | ) |
| override default

Standard Destructor.

## Member Function Documentation

double Rndm::StudentT::aValue | ( |  | ) | const
| inline

Access A parameter.

Definition at line 173 of file RndmGenerators.h.

173 { return m_aValue; }
Rndm::StudentT::m_aValue
double m_aValue
StudentT distribution parameter.
Definition: RndmGenerators.h:166

StudentT* Rndm::StudentT::clone | ( |  | ) | const
| inline override virtual

Clone parameters.

Implements IRndmGen::Param.

Definition at line 177 of file RndmGenerators.h.

177 { return new StudentT(m_aValue);}
Rndm::StudentT::StudentT
StudentT(double a)
Standard Constructor.
Definition: RndmGenerators.h:169
Rndm::StudentT::m_aValue
double m_aValue
StudentT distribution parameter.
Definition: RndmGenerators.h:166

static const InterfaceID& Rndm::StudentT::typeID | ( |  | ) |
| inline static

Identifier for factory.

Definition at line 175 of file RndmGenerators.h.

175 { return IID_IRndmStudentT; }

## Friends And Related Function Documentation

friend class Generator< StudentT >
| friend

Definition at line 163 of file RndmGenerators.h.

## Member Data Documentation

double Rndm::StudentT::m_aValue
| protected

StudentT distribution parameter.

Definition at line 166 of file RndmGenerators.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/RndmGenerators.h